Subject: Re: I-D ACTION:draft-ietf-idr-bgp4-mib-10.txt -- optional attribu tes

From: Jeffrey Haas <[email-masked]>
Date: Mon, 18 Nov 2002 14:59:43 -0500

On Mon, Nov 18, 2002 at 02:42:50PM -0500, Natale, Jonathan wrote:
> A good example is the MED.  A route does not always have a MED, it can be
> advertised with no med at all.  But the MED is an object in the MIB table.
> Community is another example.

Unfortunately, in the first MIB, there isn't a good mechanism to
represent the absence of a MED or a LOCAL_PREF.  -1 is used
to represent the absence of these values which artificially
restricts the valid range in the MIB, but practically its a non-issue.

(note the comments for those objects)

In the v2 mib, a TruthValue is used to specifically represent the absence
of these values.

-- 
Jeff Haas 
NextHop Technologies